Bug 1124842 - using "Use Foreman Hosts Providers" disables "Address" field in "New host" dialog
Summary: using "Use Foreman Hosts Providers" disables "Address" field in "New host" di...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
: 3.5.0
Assignee: Yaniv Bronhaim
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 12:41 UTC by Netbulae
Modified: 2016-02-10 19:34 UTC (History)
9 users (show)

Fixed In Version: ovirt-3.5.0_rc1.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-27 07:03:18 UTC
oVirt Team: Infra


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31102 ovirt-engine-3.5 MERGED ui: Changing foreman provider data loading Never

Description Netbulae 2014-07-30 12:41:51 UTC
After selecting the "Use Foreman Hosts Providers" option in the "New host" dialog and then deselecting it. The "Address" field to enter an fqdn/ip address is disabled/greyed out.

It's now impossible to add a new node unless you cancel and try again

Comment 1 Yaniv Bronhaim 2014-08-06 06:44:49 UTC
Hey, 
When "Use foreman hosts providers" is on the user picks one of the providers and select "Discovered Hosts" or "Provisioned Hosts". in that phase all enabled. when you pick an host, the address field gets filled by the IP address returned from foreman (foreman's dhcp signs the ip for the discovered or provisioned host).

when removing the "Use foreman hosts providers" check, you can change the address again

The FQDN depends on the "Name" you give to the host (which is configurable in the AddNewHost view). it will be the "[chosen name].[domain name]" after the provision ends. the domain specified on the Host group you pick and configured (you can see the details when choosing the hostgroup from the list).
for example: if you declared domain "usersys.redhat.com" and you hostname is fedora20host. your FQDN will be - fedora20host.usersys.redhat.com. 
foreman takes care of that.. 

Oved, something different than what you expect?

Comment 2 Oved Ourfali 2014-08-06 06:51:14 UTC
(In reply to Yaniv Bronhaim from comment #1)
> Hey, 
> When "Use foreman hosts providers" is on the user picks one of the providers
> and select "Discovered Hosts" or "Provisioned Hosts". in that phase all
> enabled. when you pick an host, the address field gets filled by the IP
> address returned from foreman (foreman's dhcp signs the ip for the
> discovered or provisioned host).
> 
> when removing the "Use foreman hosts providers" check, you can change the
> address again
> 
> The FQDN depends on the "Name" you give to the host (which is configurable
> in the AddNewHost view). it will be the "[chosen name].[domain name]" after
> the provision ends. the domain specified on the Host group you pick and
> configured (you can see the details when choosing the hostgroup from the
> list).
> for example: if you declared domain "usersys.redhat.com" and you hostname is
> fedora20host. your FQDN will be - fedora20host.usersys.redhat.com. 
> foreman takes care of that.. 
> 
> Oved, something different than what you expect?

Seems good to me. One question, though, if the domain defined in the hostgroup is example.com, and I set the name in the oVirt UI to oved.example.com, will it be set correctly by Foreman? I guess so... just making sure.

Regardless of that, the bug refers to the FQDN being disabled after enabling the use of foreman host provider, and disabling that.

Make sure it is enabled even if you set everything up with foreman, and then you regret and disable the use of a host provider, and want to add the host manually.

Comment 3 Yaniv Bronhaim 2014-08-06 07:08:38 UTC
Apparently the latter is fixed by http://gerrit.ovirt.org/#/c/31102/. about setting name to full FQDN and assume that foreman will remove part of it is way too ambitious :) I almost sure it will be oved.example.com.example.com, but will check that

if we want to handle such case we need to not allow setting the name with dotes or remove all after the dote.. something like that

Comment 4 Oved Ourfali 2014-08-06 07:15:55 UTC
(In reply to Yaniv Bronhaim from comment #3)
> Apparently the latter is fixed by http://gerrit.ovirt.org/#/c/31102/. about
> setting name to full FQDN and assume that foreman will remove part of it is
> way too ambitious :) I almost sure it will be oved.example.com.example.com,
> but will check that
> 
> if we want to handle such case we need to not allow setting the name with
> dotes or remove all after the dote.. something like that

Let's first understand how it behaves.
If needed, open a bug on that.

As for this bug, move it to modified once the patch is merged on ovirt-engine-3.5.

Comment 5 Netbulae 2014-08-25 12:34:11 UTC
Fixed

Comment 6 Gil Klein 2014-08-27 07:03:18 UTC
This bug was fixed and is slated to be in the upcoming version. As we
are focusing our testing at this phase on severe bugs, this bug was
closed without going through its verification step. If you think this
bug should be verified by QE, please set its severity to high and move
it back to ON_QA


Note You need to log in before you can comment on or make changes to this bug.